org.eclipse.incquery.uml.derivedfeatures

## Class ActivityGroupContainedEdgeMatcher

- java.lang.Object
- - org.eclipse.incquery.runtime.internal.apiimpl.QueryResultWrapper
  - - org.eclipse.incquery.runtime.api.impl.BaseMatcher<ActivityGroupContainedEdgeMatch>
    - - org.eclipse.incquery.uml.derivedfeatures.ActivityGroupContainedEdgeMatcher

- All Implemented Interfaces:
    IncQueryMatcher<ActivityGroupContainedEdgeMatch>

      public class ActivityGroupContainedEdgeMatcher
      extends BaseMatcher<ActivityGroupContainedEdgeMatch>

  Generated pattern matcher API of the org.eclipse.incquery.uml.derivedfeatures.activityGroupContainedEdge pattern, providing pattern-specific query methods.

  Use the pattern matcher on a given model via `on(IncQueryEngine)`, e.g. in conjunction with `IncQueryEngine.on(Notifier)`.

  Matches of the pattern will be represented as `ActivityGroupContainedEdgeMatch`.

  Original source: ``

        @Surrogate(feature = "containedEdge")
        @QueryExplorer(checked = false)
       pattern activityGroupContainedEdge(source: ActivityGroup, target: ActivityEdge)
       {
           // opposite of ActivityGroup.containedEdge
           find activityEdgeInGroup(target, source);
       }

  See Also:
    `ActivityGroupContainedEdgeMatch`, `ActivityGroupContainedEdgeProcessor`, `ActivityGroupContainedEdgeQuerySpecification`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivityGroupContainedEdgeMatcher(IncQueryEngine engine)` Deprecated. use `on(IncQueryEngine)` instead
    `ActivityGroupContainedEdgeMatcher(org.eclipse.emf.common.notify.Notifier emfRoot)` Deprecated. use `on(IncQueryEngine)` instead, e.g. in conjunction with `IncQueryEngine.on(Notifier)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `countMatches(org.eclipse.uml2.uml.ActivityGroup pSource, org.eclipse.uml2.uml.ActivityEdge pTarget)` Returns the number of all matches of the pattern that conform to the given fixed values of some parameters.
    `void` | `forEachMatch(org.eclipse.uml2.uml.ActivityGroup pSource, org.eclipse.uml2.uml.ActivityEdge pTarget, IMatchProcessor<? super ActivityGroupContainedEdgeMatch> processor)` Executes the given processor on each match of the pattern that conforms to the given fixed values of some parameters.
    `boolean` | `forOneArbitraryMatch(org.eclipse.uml2.uml.ActivityGroup pSource, org.eclipse.uml2.uml.ActivityEdge pTarget, IMatchProcessor<? super ActivityGroupContainedEdgeMatch> processor)` Executes the given processor on an arbitrarily chosen match of the pattern that conforms to the given fixed values of some parameters.
    `java.util.Collection<ActivityGroupContainedEdgeMatch>` | `getAllMatches(org.eclipse.uml2.uml.ActivityGroup pSource, org.eclipse.uml2.uml.ActivityEdge pTarget)` Returns the set of all matches of the pattern that conform to the given fixed values of some parameters.
    `java.util.Set<org.eclipse.uml2.uml.ActivityGroup>` | `getAllValuesOfsource()` Retrieve the set of values that occur in matches for source.
    `java.util.Set<org.eclipse.uml2.uml.ActivityGroup>` | `getAllValuesOfsource(org.eclipse.uml2.uml.ActivityEdge pTarget)` Retrieve the set of values that occur in matches for source.
    `java.util.Set<org.eclipse.uml2.uml.ActivityGroup>` | `getAllValuesOfsource(ActivityGroupContainedEdgeMatch partialMatch)` Retrieve the set of values that occur in matches for source.
    `java.util.Set<org.eclipse.uml2.uml.ActivityEdge>` | `getAllValuesOftarget()` Retrieve the set of values that occur in matches for target.
    `java.util.Set<org.eclipse.uml2.uml.ActivityEdge>` | `getAllValuesOftarget(org.eclipse.uml2.uml.ActivityGroup pSource)` Retrieve the set of values that occur in matches for target.
    `java.util.Set<org.eclipse.uml2.uml.ActivityEdge>` | `getAllValuesOftarget(ActivityGroupContainedEdgeMatch partialMatch)` Retrieve the set of values that occur in matches for target.
    `ActivityGroupContainedEdgeMatch` | `getOneArbitraryMatch(org.eclipse.uml2.uml.ActivityGroup pSource, org.eclipse.uml2.uml.ActivityEdge pTarget)` Returns an arbitrarily chosen match of the pattern that conforms to the given fixed values of some parameters.
    `boolean` | `hasMatch(org.eclipse.uml2.uml.ActivityGroup pSource, org.eclipse.uml2.uml.ActivityEdge pTarget)` Indicates whether the given combination of specified pattern parameters constitute a valid pattern match, under any possible substitution of the unspecified parameters (if any).
    `ActivityGroupContainedEdgeMatch` | `newMatch(org.eclipse.uml2.uml.ActivityGroup pSource, org.eclipse.uml2.uml.ActivityEdge pTarget)` Returns a new (partial) match.
    `static ActivityGroupContainedEdgeMatcher` | `on(IncQueryEngine engine)` Initializes the pattern matcher within an existing EMF-IncQuery engine.
    `static IQuerySpecification<ActivityGroupContainedEdgeMatcher>` | `querySpecification()`

    - ### Methods inherited from class org.eclipse.incquery.runtime.api.impl.BaseMatcher

      `countMatches, countMatches, forEachMatch, forEachMatch, forOneArbitraryMatch, forOneArbitraryMatch, getAllMatches, getAllMatches, getAllValues, getAllValues, getEngine, getOneArbitraryMatch, getOneArbitraryMatch, getParameterNames, getPatternName, getPositionOfParameter, getSpecification, hasMatch, newEmptyMatch, newMatch`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActivityGroupContainedEdgeMatcher

          @Deprecated
          public ActivityGroupContainedEdgeMatcher(org.eclipse.emf.common.notify.Notifier emfRoot)
                                                        throws IncQueryException

      Deprecated. use `on(IncQueryEngine)` instead, e.g. in conjunction with `IncQueryEngine.on(Notifier)`
      Initializes the pattern matcher over a given EMF model root (recommended: Resource or ResourceSet). If a pattern matcher is already constructed with the same root, only a light-weight reference is returned. The scope of pattern matching will be the given EMF model root and below (see FAQ for more precise definition). The match set will be incrementally refreshed upon updates from this scope.

      The matcher will be created within the managed `IncQueryEngine` belonging to the EMF model root, so multiple matchers will reuse the same engine and benefit from increased performance and reduced memory footprint.

      Parameters:
        `emfRoot` - the root of the EMF containment hierarchy where the pattern matcher will operate. Recommended: Resource or ResourceSet.
      Throws:
        `IncQueryException` - if an error occurs during pattern matcher creation

    - #### ActivityGroupContainedEdgeMatcher

          @Deprecated
          public ActivityGroupContainedEdgeMatcher(IncQueryEngine engine)
                                                        throws IncQueryException

      Deprecated. use `on(IncQueryEngine)` instead
      Initializes the pattern matcher within an existing EMF-IncQuery engine. If the pattern matcher is already constructed in the engine, only a light-weight reference is returned. The match set will be incrementally refreshed upon updates.
      Parameters:
        `engine` - the existing EMF-IncQuery engine in which this matcher will be created.
      Throws:
        `IncQueryException` - if an error occurs during pattern matcher creation

  - ### Method Detail

    - #### on

          public static ActivityGroupContainedEdgeMatcher on(IncQueryEngine engine)
                                                      throws IncQueryException

      Initializes the pattern matcher within an existing EMF-IncQuery engine. If the pattern matcher is already constructed in the engine, only a light-weight reference is returned. The match set will be incrementally refreshed upon updates.
      Parameters:
        `engine` - the existing EMF-IncQuery engine in which this matcher will be created.
      Throws:
        `IncQueryException` - if an error occurs during pattern matcher creation

    - #### getAllMatches

          public java.util.Collection<ActivityGroupContainedEdgeMatch> getAllMatches(org.eclipse.uml2.uml.ActivityGroup pSource,
                                                                                     org.eclipse.uml2.uml.ActivityEdge pTarget)

      Returns the set of all matches of the pattern that conform to the given fixed values of some parameters.
      Parameters:
        `pSource` - the fixed value of pattern parameter source, or null if not bound.
        `pTarget` - the fixed value of pattern parameter target, or null if not bound.
      Returns:
        matches represented as a ActivityGroupContainedEdgeMatch object.

    - #### getOneArbitraryMatch

          public ActivityGroupContainedEdgeMatch getOneArbitraryMatch(org.eclipse.uml2.uml.ActivityGroup pSource,
                                                                      org.eclipse.uml2.uml.ActivityEdge pTarget)

      Returns an arbitrarily chosen match of the pattern that conforms to the given fixed values of some parameters. Neither determinism nor randomness of selection is guaranteed.
      Parameters:
        `pSource` - the fixed value of pattern parameter source, or null if not bound.
        `pTarget` - the fixed value of pattern parameter target, or null if not bound.
      Returns:
        a match represented as a ActivityGroupContainedEdgeMatch object, or null if no match is found.

    - #### hasMatch

          public boolean hasMatch(org.eclipse.uml2.uml.ActivityGroup pSource,
                                  org.eclipse.uml2.uml.ActivityEdge pTarget)

      Indicates whether the given combination of specified pattern parameters constitute a valid pattern match, under any possible substitution of the unspecified parameters (if any).
      Parameters:
        `pSource` - the fixed value of pattern parameter source, or null if not bound.
        `pTarget` - the fixed value of pattern parameter target, or null if not bound.
      Returns:
        true if the input is a valid (partial) match of the pattern.

    - #### countMatches

          public int countMatches(org.eclipse.uml2.uml.ActivityGroup pSource,
                                  org.eclipse.uml2.uml.ActivityEdge pTarget)

      Returns the number of all matches of the pattern that conform to the given fixed values of some parameters.
      Parameters:
        `pSource` - the fixed value of pattern parameter source, or null if not bound.
        `pTarget` - the fixed value of pattern parameter target, or null if not bound.
      Returns:
        the number of pattern matches found.

    - #### forEachMatch

          public void forEachMatch(org.eclipse.uml2.uml.ActivityGroup pSource,
                                   org.eclipse.uml2.uml.ActivityEdge pTarget,
                                   IMatchProcessor<? super ActivityGroupContainedEdgeMatch> processor)

      Executes the given processor on each match of the pattern that conforms to the given fixed values of some parameters.
      Parameters:
        `pSource` - the fixed value of pattern parameter source, or null if not bound.
        `pTarget` - the fixed value of pattern parameter target, or null if not bound.
        `processor` - the action that will process each pattern match.

    - #### forOneArbitraryMatch

          public boolean forOneArbitraryMatch(org.eclipse.uml2.uml.ActivityGroup pSource,
                                              org.eclipse.uml2.uml.ActivityEdge pTarget,
                                              IMatchProcessor<? super ActivityGroupContainedEdgeMatch> processor)

      Executes the given processor on an arbitrarily chosen match of the pattern that conforms to the given fixed values of some parameters. Neither determinism nor randomness of selection is guaranteed.
      Parameters:
        `pSource` - the fixed value of pattern parameter source, or null if not bound.
        `pTarget` - the fixed value of pattern parameter target, or null if not bound.
        `processor` - the action that will process the selected match.
      Returns:
        true if the pattern has at least one match with the given parameter values, false if the processor was not invoked

    - #### newMatch

          public ActivityGroupContainedEdgeMatch newMatch(org.eclipse.uml2.uml.ActivityGroup pSource,
                                                          org.eclipse.uml2.uml.ActivityEdge pTarget)

      Returns a new (partial) match. This can be used e.g. to call the matcher with a partial match.

      The returned match will be immutable. Use `BaseMatcher.newEmptyMatch()` to obtain a mutable match object.

      Parameters:
        `pSource` - the fixed value of pattern parameter source, or null if not bound.
        `pTarget` - the fixed value of pattern parameter target, or null if not bound.
      Returns:
        the (partial) match object.

    - #### getAllValuesOfsource

          public java.util.Set<org.eclipse.uml2.uml.ActivityGroup> getAllValuesOfsource()

      Retrieve the set of values that occur in matches for source.
      Returns:
        the Set of all values, null if no parameter with the given name exists, empty set if there are no matches

    - #### getAllValuesOfsource

          public java.util.Set<org.eclipse.uml2.uml.ActivityGroup> getAllValuesOfsource(ActivityGroupContainedEdgeMatch partialMatch)

      Retrieve the set of values that occur in matches for source.
      Returns:
        the Set of all values, null if no parameter with the given name exists, empty set if there are no matches

    - #### getAllValuesOfsource

          public java.util.Set<org.eclipse.uml2.uml.ActivityGroup> getAllValuesOfsource(org.eclipse.uml2.uml.ActivityEdge pTarget)

      Retrieve the set of values that occur in matches for source.
      Returns:
        the Set of all values, null if no parameter with the given name exists, empty set if there are no matches

    - #### getAllValuesOftarget

          public java.util.Set<org.eclipse.uml2.uml.ActivityEdge> getAllValuesOftarget()

      Retrieve the set of values that occur in matches for target.
      Returns:
        the Set of all values, null if no parameter with the given name exists, empty set if there are no matches

    - #### getAllValuesOftarget

          public java.util.Set<org.eclipse.uml2.uml.ActivityEdge> getAllValuesOftarget(ActivityGroupContainedEdgeMatch partialMatch)

      Retrieve the set of values that occur in matches for target.
      Returns:
        the Set of all values, null if no parameter with the given name exists, empty set if there are no matches

    - #### getAllValuesOftarget

          public java.util.Set<org.eclipse.uml2.uml.ActivityEdge> getAllValuesOftarget(org.eclipse.uml2.uml.ActivityGroup pSource)

      Retrieve the set of values that occur in matches for target.
      Returns:
        the Set of all values, null if no parameter with the given name exists, empty set if there are no matches

    - #### querySpecification

          public static IQuerySpecification<ActivityGroupContainedEdgeMatcher> querySpecification()
                                                                                           throws IncQueryException

      Returns:
        the singleton instance of the query specification of this pattern
      Throws:
        `IncQueryException` - if the pattern definition could not be loaded